PDA

View Full Version : 7 errors in compiling


Neom
22/06/2018, 01:06 PM
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\..\YSI_Internal\..\a mx\asm.inc(130) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(382) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(430) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(478) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(615) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\y_utils.inc(427) : warning 201: redefinition of constant/macro (symbol "isnull(%0)")
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\y_utils.inc(701) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\y_utils.inc(1150) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Coding \y_hooks/impl.inc(794) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\y_foreach/iterators.inc(127) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\y_foreach/iterators.inc(127) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\required/fuckCleo.inc(55) : warning 219: local variable "using_deprecated_foreach_syntax" shadows a variable at a preceding level
E:\Pwn\pawno\include\required/fuckCleo.inc(107) : error 017: undefined symbol "OnVehicleDamageStatusUpdate"
E:\Pwn\pawno\include\required/fuckCleo.inc(107) : error 010: invalid function or declaration
E:\Pwn\pawno\include\required/line.inc(51) : error 001: expected token: ";", but found "-identifier-"
E:\Pwn\pawno\include\required/line.inc(63) : error 017: undefined symbol "Iterator@lin_Index"
E:\Pwn\pawno\include\required/line.inc(63) : error 017: undefined symbol "Iterator@lin_Index"
E:\Pwn\pawno\include\required/line.inc(63) : error 017: undefined symbol "Iter_Single@lin_Index"
E:\Pwn\pawno\include\required/line.inc(63) : fatal error 107: too many error messages on one line

Compilation aborted.Pawn compiler 3.2.3664 Copyright (c) 1997-2006, ITB CompuPhase


7 Errors.


Help

marshmallow
22/06/2018, 01:18 PM
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\..\YSI_Internal\..\a mx\asm.inc(130) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(382) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(430) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(478) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\..\YSI_Storage\y_amx.inc(615) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\y_utils.inc(427) : warning 201: redefinition of constant/macro (symbol "isnull(%0)")
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\y_utils.inc(701) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Intern al\..\YSI_Core\y_utils.inc(1150) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\..\YSI_Coding \y_hooks/impl.inc(794) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\y_foreach/iterators.inc(127) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\YSI\..\YSI_Data\y_foreach/iterators.inc(127) : warning 219: local variable "base" shadows a variable at a preceding level
E:\Pwn\pawno\include\required/fuckCleo.inc(55) : warning 219: local variable "using_deprecated_foreach_syntax" shadows a variable at a preceding level
E:\Pwn\pawno\include\required/fuckCleo.inc(107) : error 017: undefined symbol "OnVehicleDamageStatusUpdate"
E:\Pwn\pawno\include\required/fuckCleo.inc(107) : error 010: invalid function or declaration
E:\Pwn\pawno\include\required/line.inc(51) : error 001: expected token: ";", but found "-identifier-"
E:\Pwn\pawno\include\required/line.inc(63) : error 017: undefined symbol "Iterator@lin_Index"
E:\Pwn\pawno\include\required/line.inc(63) : error 017: undefined symbol "Iterator@lin_Index"
E:\Pwn\pawno\include\required/line.inc(63) : error 017: undefined symbol "Iter_Single@lin_Index"
E:\Pwn\pawno\include\required/line.inc(63) : fatal error 107: too many error messages on one line

Compilation aborted.Pawn compiler 3.2.3664 Copyright (c) 1997-2006, ITB CompuPhase


7 Errors.


Help

add #include<line.inc> and #include <fuckCleo.inc> to your game mode near includes and recompile gm maybe can help

Neom
22/06/2018, 01:42 PM
already have

GTLS
22/06/2018, 02:39 PM
are you using Zeex C sompiler? If yes then add -Z+ inside pawn.cfg file in the Pawn directory.

Neom
22/06/2018, 03:30 PM
I am just using pwano found on SA-MP.com/Download. Php

Neom
22/06/2018, 04:56 PM
Help pls

SubGames
22/06/2018, 09:36 PM
It happens when you update YSI Includes, Just revert back changes or if you want to use YSI Latest, PM me i will help you on discord!